{ lib, config, inputs, hostname, ... }:
{



  imports = [
    ./desktop
    ./nixvim
    ./server

    ./autoupdate.nix
    ./boot.nix
    ./builder.nix
    ./envvar.nix
    ./garbage-collect.nix
    ./keyd.nix
    ./locales.nix
    ./mimetype.nix
    ./optimise.nix
    ./options.nix
    ./packages.nix
    ./sops.nix
    ./stylix.nix
    ./syncthing.nix
    ./users.nix
  ];

  networking = {
    networkmanager.enable = true;
    hostName = "${hostname}";
  };

  console.keyMap = "en";
  nix = {
    settings.experimental-features = [ "nix-command" "flakes" ];
    nixPath = [ "nixpkgs=${inputs.nixpkgs}" ];
  };
  nixpkgs.config.allowUnfree = true;
  system.stateVersion = "23.11";
}
