{ lib, config, ... }:
{
  home-manager.users.willifan = {
    services.hypridle = lib.mkIf config.desktop.hypridle.enable {
      enable = true;
      settings = {

        general = {
          lock_cmd = "pidof hyprlock || hyprlock"; # avoid starting multiple hyprlock instances.
          before_sleep_cmd = "loginctl lock-session && sleep 2"; # lock before suspend.
          after_sleep_cmd = "hyprctl dispatch dpms on"; # to avoid having to press a key twice to turn on the display.
        };

        listener = [
          #{
          #  timeout = 150;                                # 2.5min.
          #  on-timeout = brightnessctl -s set 10;         # set monitor backlight to minimum, avoid 0 on OLED monitor.
          #  on-resume = brightnessctl -r;                 # monitor backlight restor.
          #}

          {
            timeout = 300; # 5min
            on-timeout = "loginctl lock-session"; # lock screen when timeout has passed
          }

          {
            timeout = 380; # 5.5min
            on-timeout = "hyprctl dispatch dpms off"; # screen off when timeout has passed
            on-resume = "hyprctl dispatch dpms on"; # screen on when activity is detected after timeout has fired.
          }

          {
            timeout = 600; # 30min
            on-timeout = "systemctl suspend-then-hibernate"; # suspend pc
          }
        ];
      };
    };
  };
}
